org.eclipse.incquery.patternlanguage.emf

## Class EMFPatternLanguagePlugin

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.emf.EMFPatternLanguagePlugin

- All Implemented Interfaces:
    org.osgi.framework.BundleActivator

      public class EMFPatternLanguagePlugin
      extends java.lang.Object
      implements org.osgi.framework.BundleActivator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EDITOR_INJECTOR_PRIORITY`
    `static int` | `GENERATOR_INJECTOR_PRIORITY`
    `static int` | `NO_EXTERNAL_INJECTOR_PRIORITY`
    `static int` | `TEST_INJECTOR_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguagePlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addCompoundInjector(com.google.inject.Injector injector, int injectorPriority)`
    `static EMFPatternLanguagePlugin` | `getInstance()`
    `void` | `start(org.osgi.framework.BundleContext context)`
    `void` | `stop(org.osgi.framework.BundleContext context)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_EXTERNAL_INJECTOR_PRIORITY

          public static final int NO_EXTERNAL_INJECTOR_PRIORITY

      See Also:
        Constant Field Values

    - #### GENERATOR_INJECTOR_PRIORITY

          public static final int GENERATOR_INJECTOR_PRIORITY

      See Also:
        Constant Field Values

    - #### EDITOR_INJECTOR_PRIORITY

          public static final int EDITOR_INJECTOR_PRIORITY

      See Also:
        Constant Field Values

    - #### TEST_INJECTOR_PRIORITY

          public static final int TEST_INJECTOR_PRIORITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EMFPatternLanguagePlugin

          public EMFPatternLanguagePlugin()

  - ### Method Detail

    - #### start

          public void start(org.osgi.framework.BundleContext context)
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop(org.osgi.framework.BundleContext context)
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Throws:
        `java.lang.Exception`

    - #### getInstance

          public static EMFPatternLanguagePlugin getInstance()

    - #### addCompoundInjector

          public boolean addCompoundInjector(com.google.inject.Injector injector,
                                             int injectorPriority)